org.apache.cassandra.exceptions

## Enum RequestFailureReason

- java.lang.Object
- - java.lang.Enum<RequestFailureReason>
  - - org.apache.cassandra.exceptions.RequestFailureReason

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestFailureReason>

    public enum RequestFailureReason
    extends java.lang.Enum<RequestFailureReason>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`READ_TOO_MANY_TOMBSTONES` The data node read too many tombstones when attempting to execute a read query (see tombstone_failure_threshold).
`UNKNOWN` The reason for the failure was none of the below reasons or was not recorded by the data node.

### Field Summary

Fields
`int` `code` The code to be serialized as an unsigned 16 bit integer
`static RequestFailureReason[]` `VALUES`

### Method Summary

All Methods Static Methods Concrete Methods
`static RequestFailureReason` `fromCode(int code)`
`static RequestFailureReason` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestFailureReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final RequestFailureReason UNKNOWN

The reason for the failure was none of the below reasons or was not recorded by the data node.

#### READ_TOO_MANY_TOMBSTONES

    public static final RequestFailureReason READ_TOO_MANY_TOMBSTONES

The data node read too many tombstones when attempting to execute a read query (see tombstone_failure_threshold).

### Field Detail

#### code

    public final int code

The code to be serialized as an unsigned 16 bit integer

#### VALUES

    public static final RequestFailureReason[] VALUES

### Method Detail

#### values

    public static RequestFailureReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RequestFailureReason c : RequestFailureReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RequestFailureReason valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromCode

    public static RequestFailureReason fromCode(int code)